type ClientActionInput = Record<string, any>;
type ClientActionResult = Record<string, any>;
type ClientActionExecutionResult = {
    success: true;
    data: Record<string, any>;
} | {
    reason: string;
    success: false;
};
export type ClientActionHandler = (input: ClientActionInput) => Promise<ClientActionResult>;
export declare const registerClientActionHandler: (key: string, handler: ClientActionHandler) => void;
export declare const executeClientActionHandler: (key: string, input: ClientActionInput) => Promise<ClientActionExecutionResult>;
export {};
